import { Card, Image, Space } from "antd";
import React from "react";
import { Link } from "react-router-dom";
import { CategoryIO } from "./Preview";

// for browsing movies by categories

const gridStyle: React.CSSProperties = {
  width: "25%",
  textAlign: "center",
};


// TODO replace this with API call
const categories: CategoryIO[] = [
  {
    id: "12345",
    name: "Horror",
    movies: [
      {
        id: "789",
        name: "Saw",
        originalName: "Saw",
        intro: "Jigsaw is the bad guy and this is the game",
        picture:
          "https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Ftse3.mm.bing.net%2Fth%3Fid%3DOIP.Jo6M-3oyAlMsB4-F__Z9bwHaHa%26pid%3DApi&f=1",
        published: "1.1.2000",
        runtimeMinutes: 120,
        director: {
          id: "123456789",
          name: "Karel",
          surname: "Vomacka",
          birthdate: "20.2.1987",
        },
      },
      {
        id: "999",
        name: "Saw 2",
        originalName: "Saw 2",
        intro: "The sequel to the first one",
        picture:
          "https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fimages01.kaleidescape.com%2Ftransformed%2Fcovers%2F1134x1624s%2F189%2F18976008.jpg&f=1&nofb=1",
        published: "1.1.2002",
        runtimeMinutes: 150,
        director: {
          id: "123456789",
          name: "Karel",
          surname: "Vomacka",
          birthdate: "20.2.1987",
        },
      },
    ],
  },
  {
    id: "56789",
    name: "Comedy",
    movies: [
      {
        id: "445",
        name: "Kdo zabil kapitána Alexe",
        originalName: "Who killed Cpt Alex",
        intro: "SUPAKICKA",
        picture:
          "https://external-content.duckduckgo.com/iu/?u=http%3A%2F%2F2ht1mik98ka4dogie28vqc4y.wpengine.netdna-cdn.com%2Fwp-content%2Fuploads%2F2015%2F10%2FWho-Killed-Capt-Alex.jpg&f=1&nofb=1",
        published: "8.8.2015",
        runtimeMinutes: 60,
        director: {
          id: "2323",
          name: "Pastor",
          surname: "LUL",
          birthdate: "unknown",
        },
      },
    ],
  },
];

export const BrowseMovies = () => {
  return (
    <div className="browse-container">
      <Space direction="vertical" size="middle" style={{ padding: "4%" }}>
        {categories.map((category) => {
          return (
            <Card title={category.name}>
              {category.movies.map((movie) => {
                return (
                  <Card.Grid style={gridStyle}>
                    <Link to={`/movie/${movie.id}`}>
                      <h1>{movie.name}</h1>
                      <h2>{movie.originalName}</h2>
                    </Link>
                    <Image src={movie.picture}></Image> {movie.intro}
                  </Card.Grid>
                );
              })}
            </Card>
          );
        })}
      </Space>
    </div>
  );
};
